using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[]s1=Console.ReadLine().Split(' ');
            int n=int.Parse(s1[0]);
            int l=int.Parse(s1[1]);
            string[]s2=Console.ReadLine().Split(' ');
            bool flag = true;
            for (int i = 0; i < n; i++)
            {
                int p=int.Parse(s2[i]);
                if(l>=p)
                {
                    Console.WriteLine(i+1);
                    flag= false;
                    break;
                }
            }
            if (flag)
            {
                Console.WriteLine(-1);
            }
            Console.ReadLine();
        }
    }
}